#!/bin/sh

# DEBUG
debug=0

main()
{
 declare -a name_array
 declare -a number_array
 limit=25
 echo -e ".mode list\n.separator |\n.output /Applications/LookUp.app/msg_add.txt\nSELECT * FROM looklog WHERE name != 'Ingen treff' ORDER BY UID DESC LIMIT $limit;\n"|/Applications/LookUp.app/bin/sqlite3 /Applications/LookUp.app/lookups.db
 if [ -n "$debug" ]; then cat /Applications/LookUp.app/msg_add.txt; fi
 exec 3</Applications/LookUp.app/msg_add.txt || exit 1
 while read curline <&3; do
  if [ -z "$curline" ]; then continue; fi
  name=`echo "$curline"|cut -d"|" -f2`
  name_alert="$name_alert \"$name\""
  name_array=( "${name_array[@]}" "$name" )
  number=`echo "$curline"|cut -d"|" -f3`
  number_array=( "${number_array[@]}" "$number" )

  addresses="$addresses \"$curline\""
 done
 exec 3<&-

 echo -e "#!/bin/sh\n/Applications/LookUp.app/bin/alert -t 'LookUp' -b 'Legg til kontakt, siste $limit anrop:' -T$name_alert" > /Applications/LookUp.app/tempprompt.sh
 chmod +x /Applications/LookUp.app/tempprompt.sh
 declare -a result
 result=( `/Applications/LookUp.app/tempprompt.sh|tr '\n' ' '` )
 rm /Applications/LookUp.app/tempprompt.sh

 if [ -n "$debug" ]; then echo "Selections: ${result[@]}"; fi

 i=0
 while [ "$i" -lt "${#result[@]}" ]; do
  if [ "${result[$i]}" == "YES" ]; then
   if [ -n "$debug" ]; then echo "Adding new entry for array $i - ${name_array[$i]} ${number_array[$i]}"; fi
   name=`replaceentities "${name_array[$i]}"`
   insertaddress "$name" "${number_array[$i]}"
   if [ "$?" == "0" ]; then CONFIRM=`/Applications/LookUp.app/bin/alert -t "Addressebok" -b "${name_array[$i]}  er lagt til!";echo $?`;
   else FAIL=`/Applications/LookUp.app/bin/alert -t "Addressebok" -b "Feil oppsto! ${name_array[$i]}  ble ikke lagt til.
Finnes kontakten allerede?";echo $?`; fi  
  fi
  i=$(( $i+1 ))
 done
 killall MobilePhone
 exit 0
}

insertaddress()
{
 EXIST_CONTACT=`/Applications/LookUp.app/bin/sqlite3 "/private/var/mobile/Library/AddressBook/AddressBook.sqlitedb" "SELECT ROWID FROM ABPerson WHERE First LIKE '$1' LIMIT 1;"`
 if [ "$EXIST_CONTACT" == "" ]; then
  NEW_CONTACT=`/Applications/LookUp.app/bin/sqlite3 "/private/var/mobile/Library/AddressBook/AddressBook.sqlitedb" \
   "INSERT INTO ABPerson VALUES(NULL,'$1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'$1',NULL,214482070,226188737,NULL);"|echo $?`
  CONTACT_ID=`/Applications/LookUp.app/bin/sqlite3 "/private/var/mobile/Library/AddressBook/AddressBook.sqlitedb" "SELECT ROWID FROM ABPerson WHERE First LIKE '$1' LIMIT 1;"|echo $?`
  ADD_NUMBER=`/Applications/LookUp.app/bin/sqlite3 "/private/var/mobile/Library/AddressBook/AddressBook.sqlitedb" "INSERT INTO ABMultiValue VALUES(NULL,$CONTACT_ID,3,0,1,'$2');"|echo $?`
  if [ "$ADD_NUMBER" == "0" ]; then return 0; fi
 fi
 return 1
}

replaceentities()
{
 STR=`echo "$1" | sed "s//ø/g"`
 STR=`echo "$STR" | sed "s//æ/g"`
 STR=`echo "$STR" | sed "s//å/g"`
 echo $STR
}

# Start
main "$1" "$2"
